// /ngslib/source/Clib_billw/SCCS/s.trim_c.c
// ----- constants ---------------------------------------------------
static const char SCCSID[]="@(#)trim_c.c  	1.5	2008/09/05 NGS";

// ----- standard library --------------------------------------------
#include <string.h>
#include <ctype.h>


char* trim_c( char* str, const char w ) {
/*********************************************************************
* Removes leading and/or trailing white space chars from the input string.
* --- NON - STDC++ version ---
* Parameters:
*  in -  str : ptr to char string to be trimmed.
*  in -  w   : where to trim: left='L'or'l'; right='R'or'r'; --no default--
*  out-  str : ptr to the trimmed char string     by reference
*  ret-      : ptr to the trimmed char string
*********************************************************************/
    int   ii=0;
    char* ptr;

    // Trim on the left
    if( strchr("LlBb", w) ) {
        for( ptr = str; ( isspace(*ptr) != 0 ); ++ptr) {;}
        if( ptr != str )  strcpy( str, ptr );
    }

    // Trim on the right
    if( strchr("RrBb", w) != 0 ) {
        for (ii = (strlen(str)-1); (ii >= 0 && isspace(str[ii]) != 0); --ii) {
            str[ii] = '\0';
        }
    }

    return( str );    // Return the trimmed string

}//~trim_c

